libflame-5.1.0-alt1.git20140417.2.i586.rpm


Advertisement

Description

libflame - Formal Linear Algebra Method Environment

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libflame-5.1.0-alt1.git20140417.2.i586.rpm
Package name libflame
Package version 5.1.0
Package release alt1.git20140417.2
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 7.63 MB
Installed size 7.63 MB
The objective of the FLAME project is to transform the development of dense
linear algebra libraries from an art reserved for experts to a science that can
be understood by novice and expert alike. Rather than being only a library, the
project encompasses a new notation for expressing algorithms, a methodology for
systematic derivation of algorithms, Application Program Interfaces (APIs) for
representing the algorithms in code, and tools for mechanical derivation,
implementation and analysis of algorithms and implementations.

Alternatives

Package Version Architecture Repository
libflame-5.1.0-alt1.git20140417.2.x86_64.rpm 5.1.0 x86_64 Classic
libflame - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.17) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
liblapack.so.4 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.27) -
libopenblas.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libflame = 1:5.1.0-alt1.git20140417.2
libflame.so.0 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libflame-5.1.0-alt1.git20140417.2.i586.rpm
Source Package libflame-5.1.0-alt1.git20140417.2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libflame rpm package:
    # sudo apt-get install libflame

Files

Path
/usr/lib/libflame.so.0
/usr/lib/libflame.so.0.112.26
/usr/share/doc/libflame-5.1.0/AUTHORS
/usr/share/doc/libflame-5.1.0/CHANGELOG
/usr/share/doc/libflame-5.1.0/CONTRIBUTORS
/usr/share/doc/libflame-5.1.0/KNOWN-ISSUES
/usr/share/doc/libflame-5.1.0/LICENSE
/usr/share/doc/libflame-5.1.0/README

Changelog

2018-03-05 - Igor Vlasenko <viy@altlinux.ru> 1:5.1.0-alt1.git20140417.2
- NMU: rebuild with new tex(...) requires
2016-06-16 - Ivan Zakharyaschev <imz@altlinux.org> 1:5.1.0-alt1.git20140417.1
- (AUTO) subst_x86_64.
2014-05-30 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1:5.1.0-alt1.git20140417
- Version 5.1.0
2013-06-25 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r11226-alt1
- Version r11226
2013-02-05 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r9999-alt1
- Version r9999
2012-09-13 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r9239-alt1
- Version r9239
2012-08-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r6025-alt2
- Rebuilt with OpenBLAS instead of GotoBLAS2
2011-04-27 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r6025-alt1
- Version r6025
2011-04-14 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r4818-alt4
- Fixed requirements for devel package
2011-04-12 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> r4818-alt3
- Built with GotoBLAS2 instead of ATLAS
- Disabled devel-static package

See Also

Package Description
libflame-devel-5.1.0-alt1.git20140417.2.i586.rpm Development files of Formal Linear Algebra Method Environment
libflann-1.8.4-alt2_21.i586.rpm Fast Library for Approximate Nearest Neighbors
libflann-devel-1.8.4-alt2_21.i586.rpm Development headers and libraries for flann
libflann-static-1.8.4-alt2_21.i586.rpm Static libraries for flann
libflatbuffers-1.10.0-alt1.i586.rpm Memory Efficient Serialization Library
libflatbuffers-devel-1.10.0-alt1.i586.rpm Memory Efficient Serialization Library
libflatpak-1.4.2-alt1.i586.rpm Libraries for flatpak
libflatpak-devel-1.4.2-alt1.i586.rpm Development files for flatpak
libflatzebra-devel-0.1.6-alt1_8.i586.rpm Headers for developing programs that will use flatzebra
libflatzebra2-0.1.6-alt1_8.i586.rpm Main library for flatzebra
libfli-1.7-alt2_21.i586.rpm Library for FLI CCD Camera & Filter Wheels
libfli-devel-1.7-alt2_21.i586.rpm Libraries, includes, etc. used to develop an application with libfli
libflickcurl-1.26-alt2.i586.rpm C library for the Flickr API
libflickcurl-devel-1.26-alt2.i586.rpm Development files for libflickcurl
libflif-0.3-alt2.i586.rpm Free Lossless Image Format
Advertisement
Advertisement